## node-ipydatagrid 1.4.0+~cs14.21.116

=== Makefile ===
# ogr2ogr doesn’t support logical (L) or date (D) properties (apparently),
# so boolean-property and date-property were made by hand in a hex editor.

TESTS = \
	empty \
	mixed-properties \
	multipoints \
	null \
	number-property \
	points \
	polygons \
	polylines \
	string-property \
	latin1-property \
	utf8-property

TEST_FILES = \
	$(addprefix test/,$(addsuffix .shp,$(TESTS))) \
	$(addprefix test/,$(addsuffix .dbf,$(TESTS)))

all: node_modules $(TEST_FILES)

clean:
	rm -f $(TEST_FILES)

node_modules:
	npm install

test/%.shp test/%.dbf: test/%.json
	rm -f $@ && ogr2ogr -f 'ESRI Shapefile' $@ $<

test/utf8-property.shp test/utf8-property.dbf: test/utf8-property.json
	rm -f $@ && ogr2ogr -lco ENCODING=UTF-8 -f 'ESRI Shapefile' $@ $<

test/latin1-property.shp test/latin1-property.dbf: test/latin1-property.json
	rm -f $@ && ogr2ogr -f 'ESRI Shapefile' $@ $<

test: all
	node_modules/.bin/vows
	@echo

## node-ipydatagrid 1.3.1+~cs13.21.94

=== debian/changelog ===
node-ipydatagrid (1.3.1+~cs13.21.94-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Sun, 28 Apr 2024 08:29:52 +0400

node-ipydatagrid (1.3.1+~cs13.21.94-1) unstable; urgency=medium

  * Declare compliance with policy 4.7.0
  * New upstream version 1.3.1+~cs13.21.94
  * Update tsc patch
  * Require node-lumino >= 2024.3.25~
  * Embed jest-raw-loader for test only

 -- Yadd <yadd@debian.org>  Sat, 27 Apr 2024 08:57:44 +0400

node-ipydatagrid (1.2.1+~cs13.21.94-1) unstable; urgency=medium

  * Add Breaks/Replaces fields against python3-widgetsnbextension < 8.1.1-3~
    (Closes: #1063908)
  * Drop /usr/bin/dbfcat and usr/bin/shpcat (Closes: #1063901)
  * New upstream version 1.2.1+~cs13.21.94,
    updates bgplot from 0.5.43 to 0.5.44

 -- Yadd <yadd@debian.org>  Thu, 22 Feb 2024 11:34:06 +0400

node-ipydatagrid (1.2.1+~cs13.21.93-1) unstable; urgency=medium

  * New upstream version 1.2.1+~cs13.21.93
  * Refresh patches

 -- Yadd <yadd@debian.org>  Mon, 12 Feb 2024 18:21:29 +0400

node-ipydatagrid (1.2.0+~cs13.21.90-1) unstable; urgency=medium

  * Initial release (Closes: #1059469)

 -- Yadd <yadd@debian.org>  Mon, 12 Feb 2024 15:25:42 +0400

=== debian/control ===
Source: node-ipydatagrid
Section: javascript
Priority: optional
Maintainer: Debian Pan Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Yadd <yadd@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-nodejs
 , dh-sequence-nodejs
 , jest <!nocheck>
 , node-backbone
 , node-d3
 , node-d3-array
 , node-d3-axis
 , node-d3-brush
 , node-d3-collection
 , node-d3-color
 , node-d3-drag
 , node-d3-force
 , node-d3-format
 , node-d3-geo
 , node-d3-interpolate
 , node-d3-scale
 , node-d3-scale-chromatic
 , node-d3-selection
 , node-d3-shape
 , node-d3-time
 , node-d3-time-format
 , node-d3-timer
 , node-d3-transition
 , node-d3-zoom
 , node-is-typedarray
 , node-jquery <!nocheck>
 , node-jupyterlab
 , node-less
 , node-less-loader
 , node-lumino (>= 2024.3.25~)
 , node-moment
 , node-popper.js
 , node-raw-loader
 , node-three
 , node-ts-loader
 , node-typescript
 , node-types-chai
 , node-types-jest
 , node-underscore
 , node-url-loader
 , node-vega-expression
 , node-vega-format
 , node-vega-functions
 , node-webpack-sources
 , rollup
 , terser
 , ts-jest <!nocheck>
 , webpack
Standards-Version: 4.7.0
Homepage: https://github.com/Bloomberg/ipydatagrid
Vcs-Git: https://salsa.debian.org/js-team/node-ipydatagrid.git
Vcs-Browser: https://salsa.debian.org/js-team/node-ipydatagrid
Rules-Requires-Root: no

Package: node-ipydatagrid
Architecture: all
Depends: ${misc:Depends}
 , node-bqplot
 , node-core-js-pure
 , node-d3-array
 , node-d3-color
 , node-d3-format
 , node-d3-scale
 , node-d3-time-format
 , node-jest-environment-jsdom
 , node-jupyter-widgets-base
 , node-jupyterlab
 , node-lumino
 , node-moment
 , node-underscore
 , node-vega
Provides: ${nodejs:Provides}
Description: Fast Datagrid widget for the Jupyter Notebook and JupyterLab
 node-ipydatagrid provides a fast datagrid widget for the Jupyter Notebook and
 JupyterLab.

Package: node-bqplot
Architecture: all
Depends: ${misc:Depends}
 , node-base64-js
 , node-d3
 , node-d3-selection
 , node-is-typedarray
 , node-jupyter-widgets-base
 , node-popper.js
 , node-topojson
 , node-three
 , node-underscore
Description: Interactive plotting library for the Jupyter notebook
 bqplot is a 2-D visualization system for Jupyter, based on the constructs of
 the "Grammar of Graphics". It Provide a unified framework for 2-D
 visualizations with a pythonic API and a sensible API for adding user
 interactions (panning, zooming, selection, etc)

Package: node-jupyter-widgets-base
Architecture: all
Depends: ${misc:Depends}
 , node-backbone
 , node-jquery
 , node-jupyterlab
 , node-lodash
 , node-lumino
Breaks: python3-widgetsnbextension (<< 8.1.1-3~)
Replaces: python3-widgetsnbextension (<< 8.1.1-3~)
Description: Jupyter interactive widgets
 node-jupyter-widgets-base provides the Jupyter interactive widgets

Package: node-jupyter-widgets-base-manager
Architecture: all
Depends: ${misc:Depends}
 , node-base64-js
 , node-jupyter-widgets-base
 , node-sanitize-html
Breaks: python3-widgetsnbextension (<< 8.1.1-3~)
Replaces: python3-widgetsnbextension (<< 8.1.1-3~)
Description: base manager of Jupyter interactive widgets
 node-jupyter-widgets-base-manager provides the base manager of Jupyters
 interactive widgets.

Package: node-jupyter-widgets-controls
Architecture: all
Depends: ${misc:Depends}
 , node-d3-color
 , node-d3-format
 , node-jquery
 , node-jupyter-widgets-base
 , node-nouislider
Breaks: python3-widgetsnbextension (<< 8.1.1-3~)
Replaces: python3-widgetsnbextension (<< 8.1.1-3~)
Description: controls of Jupyter interactive widgets
 node-jupyter-widgets-controls provides the controls of Jupyters interactive
 widgets.

Package: node-shapefile
Architecture: all
Depends: ${misc:Depends}
 , node-d3-queue
 , node-iconv-lite
 , node-optimist
 , nodejs:any
Description: JavaScript Streaming Shapefile Parser
 node-shapefile provides a streaming Shapefile Parser based on the "ESRI
 Shapefile Technical Description".
 It provides a convenience API for reading an entire shapefile in one go.

Package: node-topojson
Architecture: all
Depends: ${misc:Depends}
 , node-d3
 , node-d3-geo-projection
 , node-rw
 , node-shapefile
 , nodejs:any
Description: Node.js extension of GeoJSON that encodes topology
 node-topojson is an extension of GeoJSON that encodes topology. Rather than
 representing geometries discretely, geometries in TopoJSON files are stitched
 together from shared line segments called *arcs*. TopoJSON eliminates
 redundancy, offering much more compact representations of geometry than with
 GeoJSON; typical TopoJSON files are 80% smaller than their GeoJSON
 equivalents. In addition, TopoJSON facilitates applications that use topology.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.+\/v?(\d\S+)@ARCHIVE_EXT@/ipydatagrid-$1\.tar\.gz/ \
 https://github.com/Bloomberg/ipydatagrid/tags .*/v?(\d\S+)\.tar\.gz group

opts=\
component=bqplot,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-bqplot-$1/ \
 https://github.com/bqplot/bqplot/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
searchmode=plain,\
component=jupyter-widgets-base,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jupyter-widgets-base-$1/ \
 https://registry.npmjs.org/@jupyter-widgets/base https://registry.npmjs.org/@jupyter-widgets/base/-/base-(6[\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
searchmode=plain,\
component=jupyter-widgets-base-manager,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jupyter-widgets-base-manager-$1/ \
 https://registry.npmjs.org/@jupyter-widgets/base-manager https://registry.npmjs.org/@jupyter-widgets/base-manager/-/base-manager-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=searchmode=plain,\
component=jupyter-widgets-controls,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jupyter-widgets-controls-$1/ \
 https://registry.npmjs.org/@jupyter-widgets/controls https://registry.npmjs.org/@jupyter-widgets/controls/-/controls-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=shapefile,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-shapefile-$1/ \
 https://github.com/mbostock/shapefile/tags?after=v0.4.0 .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=topojson,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-topojson-$1/ \
 https://github.com/topojson/topojson/tags .*/archive.*/v?(1[\d\.]+).tar.gz checksum

## node-ipydatagrid 1.3.2+~cs14.21.116

=== debian/changelog ===
node-ipydatagrid (1.3.2+~cs14.21.116-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only reupload to allow migration to testing.

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Sep 2024 11:35:48 +0100

node-ipydatagrid (1.3.2+~cs14.21.116-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * New upstream release.
  * Include @jupyter-widgets/html-manager. This provides the
    node-jupyter-widgets-html-manager binary package, which makes
    python-ipywidgets-doc installable (Closes: 1079719).

 -- Roland Mas <lolando@debian.org>  Tue, 27 Aug 2024 18:30:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Pan Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
 Uploaders:
- Yadd <yadd@debian.org>
+ Yadd <yadd@debian.org>,
+ Roland Mas <lolando@debian.org>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
  debhelper-compat (= 13)
@@ -140,6 +141,18 @@
  node-jupyter-widgets-controls provides the controls of Jupyters interactive
  widgets.
 
+Package: node-jupyter-widgets-html-manager
+Architecture: all
+Depends: ${misc:Depends}
+ , node-base64-js
+ , node-jupyter-widgets-base
+ , node-sanitize-html
+Breaks: python3-widgetsnbextension (<< 8.1.1-3~)
+Replaces: python3-widgetsnbextension (<< 8.1.1-3~)
+Description: HTML manager of Jupyter interactive widgets
+ node-jupyter-widgets-html-manager is a standalone package for
+ rendering Jupyter widgets outside notebooks.
+
 Package: node-shapefile
 Architecture: all
 Depends: ${misc:Depends}

## node-ipydatagrid 1.4.0+~cs14.21.116

=== debian/changelog ===
node-ipydatagrid (1.4.0+~cs14.21.116-1) unstable; urgency=medium

  * Team upload
  * Drop bad Provides: rendered node-ipydatagrid to provides its dependencies
  * Fix gbp.conf: files were missing in salsa repo
  * Fix copyright
  * New upstream version 1.4.0+~cs14.21.116
  * Update patches
  * Update build links

 -- Yadd <yadd@debian.org>  Sun, 29 Dec 2024 14:50:51 +0100

=== debian/control ===
--- 
+++ 
@@ -79,7 +79,6 @@
  , node-moment
  , node-underscore
  , node-vega
-Provides: ${nodejs:Provides}
 Description: Fast Datagrid widget for the Jupyter Notebook and JupyterLab
  node-ipydatagrid provides a fast datagrid widget for the Jupyter Notebook and
  JupyterLab.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

CS=${shell perl -le '$$_="$(DEB_VERSION)";/-(.*)$$/;$$rev=$$1;@v=split/(?:\.|\+~cs|-)/;print "cs".join(".",$$v[0]+$$v[3],$$v[1]+$$v[4],$$v[2]+$$v[5])."-$$rev"'}

%:
	dh $@

cs:
	echo $(CS)

override_dh_fixperms:
	dh_fixperms
	find debian/node-ipydatagrid -name '*.svg' -exec chmod 644 '{}' \;

override_dh_installdocs:
	dh_installdocs
	dh_nodejs_autodocs auto_dispatch

override_dh_gencontrol:
	dh_gencontrol -pnode-ipydatagrid -- -v$(DEB_VERSION)
	set -e;for c in `pkgjs-utils root_components_list 2>/dev/null`; do \
		NAME=`pkgjs-pjson $$c name`; \
		VERSION=`pkgjs-pjson $$c version`; \
		PKG=node-`pkgjs-utils normalize_name $$NAME`; \
		URL=`pkgjs-pjson $$c homepage`; \
		if test "$$URL"==""; then \
			URL=`pkgjs-pjson $$c repository url|sed -e 's/.git$$//'`; \
		fi; \
		dh_gencontrol -p$$PKG -- -v$${VERSION}+~$(CS) -DHomepage=$$URL; \
	done

=== debian/watch ===
--- 
+++ 
@@ -33,6 +33,13 @@
 filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jupyter-widgets-controls-$1/ \
  https://registry.npmjs.org/@jupyter-widgets/controls https://registry.npmjs.org/@jupyter-widgets/controls/-/controls-([\d\.]+)@ARCHIVE_EXT@ checksum
 
+opts=searchmode=plain,\
+component=jupyter-widgets-html-manager,\
+ctype=nodejs,\
+pgpmode=none,\
+filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jupyter-widgets-controls-$1/ \
+ https://registry.npmjs.org/@jupyter-widgets/html-manager https://registry.npmjs.org/@jupyter-widgets/html-manager/-/html-manager-([\d\.]+)@ARCHIVE_EXT@ checksum
+
 opts=\
 component=shapefile,\
 ctype=nodejs,\
